package com.zjrs.ggfw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.rlzysc.blo.ZzzdBLO;
import com.zjrs.ggfw.rlzysc.bpo.ZzzdBPO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjQueryListDTO;
import com.zjrs.ggfw.rlzysc.dto.zzzd.ZzzdZphListQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.zzzd.ZzzdZwListQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.zzzd.ZzzdZwListQueryForDwDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ZzzdBPOImpl implements ZzzdBPO {

    @Autowired
    private ZzzdBLO ZzzdBLO;

    @Override
    public PageResult getZphlist(ZzzdZphListQueryDTO dto) {
        return ZzzdBLO.getZphlist(dto);
    }

    @Override
    public PageResult getZwListToQy(ZzzdZwListQueryForDwDTO dto) {
        return ZzzdBLO.getZwListToQy(dto);
    }

    @Override
    public PageResult getZwList(ZzzdZwListQueryDTO dto) {
        return ZzzdBLO.getZwList(dto);
    }

    @Override
    public PageResult getQyList(ZjQueryListDTO dto) {
        return ZzzdBLO.getQyList(dto);
    }

}

